ValueFifo< T > Class Template Reference

`#include <flcontainers.h>`

Inheritance diagram for ValueFifo< T >:

## Public Member Functions

void | Put (T v)
T | Get ()
Public Member Functions inherited from TypedFifo< ValueFifoCell< T > >
void | Put (ValueFifoCell< T > *c)
ValueFifoCell< T > * | Get ()
Public Member Functions inherited from Fifo
void | Put (FifoCell *cl)
FifoCell * | Get ()
bool | Avail () const

## Member Function Documentation

## Get()

template<typename T >

T ValueFifo< T >::Get | ( |  | ) |

inline

## Put()

template<typename T >

void ValueFifo< T >::Put | ( | T | v | ) |

inline

The documentation for this class was generated from the following file:

- flcontainers.h